Vla-put-alttolerancesuppressleadingzeros

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-alttolerancesuppressleadingzeros vla-object bool)


機能
変換単位寸法許容差値の接頭のゼロ表示の省略を指定する。


引数
  • vla-object … VLAオブジェクト(DimAligned、DimArcLength、DimDiametric、DimOrdinate、DimRadial、DimRadialLarge、DimRotated)
  • Bool … ブール型
  •  :Vlax-True : 変換単位寸法許容差値の接頭のゼロを表示する。たとえば、0.5000 は .5000 になります。
  •  :Vlax-False : 変換単位寸法許容差値の接頭のゼロを表示しない。


戻り値
nil
  • MEMO: このプロパティの初期値は False。
  • このプロパティは、指定された寸法でシステム変数 DIMALTTZ[併記寸法許容差 0 省略]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_alttolerancesuppressleadingzeros ()
    ;; 寸法を作成して変換単位寸法許容差値の設定を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法の定義
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 6.01 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; 寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    
    ;; 変換単位寸法許容差値を表示
    (vla-put-AltUnits dimObj :vlax-true)
    (vla-put-ToleranceDisplay dimObj acTolLimits)
    
    ;; 変換単位寸法許容差値を変更
    (vla-put-AltUnitsFormat dimObj acDimLArchitectural)
    (vla-put-AltUnitsScale dimObj 2)    ;; 別の単位を2の倍数になるように設定
    
    (vla-ZoomAll acadObj)

    ;; 0 フィートの表示を切り替えます
    (vla-put-alttolerancesuppressleadingzeros dimObj (if (= (vla-get-alttolerancesuppressleadingzeros dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "変換単位寸法許容差の接頭省略をトグル。")

    ;; 戻す
    (vla-put-alttolerancesuppressleadingzeros dimObj (if (= (vla-get-alttolerancesuppressleadingzeros dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "変換単位寸法許容差の接頭省略をトグルして戻す")
)

関連事項